Loading...
Searching...
No Matches
pappso::XicPeptideFragmentIon Class Reference

`#include <xicpeptidefragmention.h>`

Inheritance diagram for pappso::XicPeptideFragmentIon:

## Public Member Functions

| XicPeptideFragmentIon (const MsRunId &msrun_id, const PeptideFragmentIonSp &peptideFragmentIonSp, unsigned int z, PrecisionPtr precision)
| XicPeptideFragmentIon (const XicPeptideFragmentIon &other)
| ~XicPeptideFragmentIon ()
const PeptideFragmentIonSp & | getPeptideFragmentIonSp () const
Public Member Functions inherited from pappso::XicPeptideInterface
| ~XicPeptideInterface ()
virtual unsigned int | getCharge () const
Public Member Functions inherited from pappso::QualifiedXic
| QualifiedXic (const MsRunId &msrun_id, pappso_double mz, PrecisionPtr precision)
virtual | ~QualifiedXic ()
| QualifiedXic (const QualifiedXic &toCopy)
pappso_double | getMz () const
const XicCstSPtr | getXicCstSPtr () const
const XicSPtr & | getXicSPtr () const

## Private Attributes

const PeptideFragmentIonSp | msp_peptideFragmentIon

## Additional Inherited Members

Protected Member Functions inherited from pappso::XicPeptideInterface
| XicPeptideInterface (const MsRunId &msrun_id, const PeptideInterfaceSp &peptideInterfaceSp, PrecisionPtr precision, unsigned int charge)

## Detailed Description

Definition at line 32 of file xicpeptidefragmention.h.

## Constructor & Destructor Documentation

## XicPeptideFragmentIon() [1/2]

pappso::XicPeptideFragmentIon::XicPeptideFragmentIon | ( | const MsRunId & | msrun_id,
|  | const PeptideFragmentIonSp & | peptideFragmentIonSp,
|  | unsigned int | z,
|  | PrecisionPtr | precision )

Definition at line 29 of file xicpeptidefragmention.cpp.

: XicPeptideInterface(msrun_id, peptideFragmentIonSp, precision, z),
msp_peptideFragmentIon(peptideFragmentIonSp)
{
}
pappso::XicPeptideFragmentIon::msp_peptideFragmentIon
const PeptideFragmentIonSp msp_peptideFragmentIon
Definition xicpeptidefragmention.h:35
pappso::XicPeptideInterface::XicPeptideInterface
XicPeptideInterface(const MsRunId &msrun_id, const PeptideInterfaceSp &peptideInterfaceSp, PrecisionPtr precision, unsigned int charge)
Definition xicpeptideinterface.cpp:29
pappso::PeptideIonCter::z
@ z
Definition peptide.h:90

References pappso::XicPeptideInterface::XicPeptideInterface(), and msp_peptideFragmentIon.

Referenced by XicPeptideFragmentIon().

## XicPeptideFragmentIon() [2/2]

pappso::XicPeptideFragmentIon::XicPeptideFragmentIon | ( | const XicPeptideFragmentIon & | other | ) |

Definition at line 42 of file xicpeptidefragmention.cpp.

: XicPeptideInterface(other), msp_peptideFragmentIon(other.msp_peptideFragmentIon)
{
}

References XicPeptideFragmentIon(), pappso::XicPeptideInterface::XicPeptideInterface(), and msp_peptideFragmentIon.

## ~XicPeptideFragmentIon()

pappso::XicPeptideFragmentIon::~XicPeptideFragmentIon | ( |  | ) |

Definition at line 38 of file xicpeptidefragmention.cpp.

{
}

## Member Function Documentation

## getPeptideFragmentIonSp()

const PeptideFragmentIonSp & pappso::XicPeptideFragmentIon::getPeptideFragmentIonSp | ( |  | ) | const

inline

Definition at line 46 of file xicpeptidefragmention.h.

{
return msp_peptideFragmentIon;
};

References msp_peptideFragmentIon.

## Member Data Documentation

## msp_peptideFragmentIon

const PeptideFragmentIonSp pappso::XicPeptideFragmentIon::msp_peptideFragmentIon

private

Definition at line 35 of file xicpeptidefragmention.h.

Referenced by XicPeptideFragmentIon(), XicPeptideFragmentIon(), and getPeptideFragmentIonSp().

The documentation for this class was generated from the following files:

- pappsomspp/core/xic/xicpeptidefragmention.h
- pappsomspp/core/xic/xicpeptidefragmention.cpp